MODULE YOMFP4L

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    "lagged" variables needed to write out post-processed fields

! === GRID POINT ARRAY ===

!     NDYNFPL: number of fields
!     NFLDFPL: field codes
!     RLEVFPL: level values
!     NDOMFPL: number of subdomains for each field
!     NINDFPL: indexes of subdomains for each field
!     LFPSRFL: dimension aspects (ua/srf)

! === SPECTRAL ARRAYS ===

!     NFPSPBL  : local number of fields
!     NFPSPBG  : global number of fields
!     NFPSFLDG : global field codes
!     RFPSLEVG : global level values
!     LFPSSRFG : global dimension aspects (ua/srf)
!     NFPSSETG : V-set for each field (global)
!     NFPSLOCG : Local field adress for each field

INTEGER(KIND=JPIM) :: NDYNFPL
INTEGER(KIND=JPIM), ALLOCATABLE :: NFLDFPL(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: NDOMFPL(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: NINDFPL(:,:)
LOGICAL,   ALLOCATABLE :: LFPSRFL(:)
REAL(KIND=JPRB),    ALLOCATABLE :: RLEVFPL(:)

INTEGER(KIND=JPIM) :: NFPSPBL
INTEGER(KIND=JPIM) :: NFPSPBG
INTEGER(KIND=JPIM), ALLOCATABLE :: NFPSFLDG(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: NFPSSETG(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: NFPSLOCG(:)
LOGICAL,   ALLOCATABLE :: LFPSSRFG(:)
REAL(KIND=JPRB),    ALLOCATABLE :: RFPSLEVG(:)

!     ------------------------------------------------------------------
END MODULE YOMFP4L
